#pragma once

#include <Fenster.h>
#include <TextFeld.h>
#include <Knopf.h>

#include "ChatHistory.h"

class Chat : public Framework::Fenster
{
private:
    ChatHistory* history;
    Framework::TextFeld* commandLine;
    Framework::Knopf* sendButton;
    Framework::Knopf* optionsButton;
    
public:
    Chat();

    void addMessage(char* data);
    bool tick(double time) override;
};